%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		synfig
Summary:	Vector-based 2D animation renderer
Version:	0.63.04
Release:	%mkrel 1
Source0:	http://downloads.sourceforge.net/synfig/%{name}-%{version}.tar.gz
URL:		http://www.synfig.org
License:	GPLv2+
Group:		Graphics
BuildRequires:	etl-devel >= 0.04.14
BuildRequires:	libxml++-devel
BuildRequires:	sigc++2.0-devel
BuildRequires:	libltdl-devel
BuildRequires:	gettext-devel
BuildRequires:	cvs
BuildRequires:	png-devel
BuildRequires:	mng-devel
BuildRequires:	jpeg-devel
BuildRequires:	freetype2-devel
BuildRequires:	fontconfig-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	imagemagick-devel
Requires:	libdv-apps
Requires:	imagemagick
Requires:	ffmpeg

%description
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the command-line renderer. For the GUI animation
editor, please install synfigstudio.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the shared library provided by synfig.

%package -n %{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the development files for the shared library
provided by synfig.

%prep
%setup -q

%build
# These two fix for the split of libMagick in recent releases - AdamW
sed -i -e 's|Magick,OptimizeImageTransparency|MagickCore,OptimizeImageTransparency|g' configure.ac
sed -i -e 's|MagickLib::|MagickCore::|g' src/modules/mod_magickpp/trgt_magickpp.cpp

autoreconf -fi
CXXFLAGS='-I /usr/include/ImageMagick' CFLAGS='-I /usr/include/ImageMagick' CPPFLAGS='-I /usr/include/ImageMagick'

%configure2_5x \
	--disable-static \
	--with-imagemagick
%make
								
%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS README NEWS TODO
%config %{_sysconfdir}/%{name}_modules.cfg
%{_bindir}/%{name}
%{_libdir}/%{name}

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%{_bindir}/%{name}-config
%{_includedir}/%{name}-*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog

* Tue Feb 14 2012 wally <wally> 0.63.04-1.mga2
+ Revision: 208923
- new version 0.63.04

* Mon Dec 12 2011 fwang <fwang> 0.63.03-1.mga2
+ Revision: 181030
- new version 0.63.03

* Fri Sep 30 2011 fwang <fwang> 0.63.02-1.mga2
+ Revision: 150547
- new version 0.63.02

* Sun Sep 25 2011 fwang <fwang> 0.63.01-1.mga2
+ Revision: 147666
- new version 0.63.01

* Sat Sep 17 2011 fwang <fwang> 0.63.00-3.mga2
+ Revision: 144477
- fix patch
- mre patch for libpng 1.5
- fix build with libpng1.5
- rebuild for new imagemagick

  + wally <wally>
    - really disable static build
    - enable support for ImageMagick
    - disable static build
    - new version 0.63.00
    - imported package synfig


* Thu Jun 16 2011 Jani Välimaa <wally@mandriva.org> 0.62.02-2mdv2011.0
+ Revision: 685639
- move synfig-config to a -devel subpackage
- drop old scriptlets

* Mon Apr 18 2011 Jani Välimaa <wally@mandriva.org> 0.62.02-1
+ Revision: 655864
- new version 0.62.02
- drop buildroot definition

* Wed Dec 08 2010 Funda Wang <fwang@mandriva.org> 0.62.00-2mdv2011.0
+ Revision: 615915
- fix build with gcc 4.5
- drop unused patch

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.62.00-1mdv2010.1
+ Revision: 492149
- New version 0.62.00

* Fri Sep 18 2009 Funda Wang <fwang@mandriva.org> 0.61.09-2mdv2010.0
+ Revision: 444251
- fix build with gcc 4.4

* Sun Oct 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.61.09-1mdv2009.1
+ Revision: 297313
- import synfig


